Bug 1261 - Windows 10 X64 unbound 1.6.2 it installs in C:\Program Files (x86), unbound-control errors
Windows 10 X64 unbound 1.6.2 it installs in C:\Program Files (x86), unbound-c...
Status: RESOLVED FIXED
Product: unbound
Classification: Unclassified
Component: server
1.6.2
x86_64 Windows
: P5 major
Assigned To: unbound team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-05 00:08 CEST by jurek0001
Modified: 2017-06-21 08:45 CEST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jurek0001 2017-05-05 00:08:59 CEST
Unbound still installs in C:\Program Files (x86)\Unbound;
bug #1258 was corrected, but there is no updated version, without this bug.
All commands point to C:\Program Files\Unbound, what causes lots of errors.
See below:
C:\Program Files (x86)\Unbound>unbound-control status
[1493934974] unbound-control[11316:0] warning: control-enable is 'no' in the config file.
error: Error setting up SSL_CTX client key and cert
14708:error:02001002:system library:fopen:No such file or directory:bss_file.c:402:fopen('/unbound_control.pem','rb')
14708:error:20074002:BIO routines:FILE_CTRL:system lib:bss_file.c:404:
14708:error:140DC002:SSL routines:SSL_CTX_use_certificate_chain_file:system lib:ssl_rsa.c:701:
but keys and pems are created in C:\Program Files\Unbound

The same for:
C:\Program Files (x86)\Unbound>unbound-checkconf
[1493935667] unbound-checkconf[7912:0] error: Could not open C:\Program Files\Unbound\service.conf: No such file or directory

Sincerely,
Jerzy
Comment 1 jurek0001 2017-05-08 22:03:24 CEST
Hello,
upon further investigation, I encountered this bug "Bug 529", and was able to create working .pem and .key files. (Before unbound-control-setup.cmd found OPENVPN ssl easy-rsa dir, and created .key and .pem files, however, even that they were in proper directory, I was still getting error messages.
I have also duplicated entire Unbound folder in C:\Program Files directory, and copied there all files from C:\Program Files (x86)\Unbound folder, since I was not sure which directory will be called by any other unbound commands, and also adjusted paths to the files in directories specified in config file, and now it seems to work.
Sincerely,
Jerzy
Comment 2 Wouter Wijngaards 2017-05-09 08:51:12 CEST
Hi Jurek,

Nice that it works again.  Is there something you would want different for creating the .key or .pem files that I can do for you?  Perhaps documentation was missing (since you needed to find a bug report, I guess, this could have been documented somewhere else (too)).

Best regards, Wouter
Comment 3 jurek0001 2017-06-16 17:57:06 CEST
This bug has NOT been fixed and version 1.6.3 still installs in C:\Program Files (x86)\Unbound!!!
Comment 4 Wouter Wijngaards 2017-06-19 09:31:54 CEST
Hi Jurek,

Same here as for the other bug; the fix was pushed to 1.6.4 by the security related 1.6.3 release.  1.6.3 only contains the security thing, and other stuff was moved to the next release after.

Best regards, Wouter
Comment 5 drahnier 2017-06-20 02:14:20 CEST
(In reply to Wouter Wijngaards from comment #4)
> Hi Jurek,
> 
> Same here as for the other bug; the fix was pushed to 1.6.4 by the security
> related 1.6.3 release.  1.6.3 only contains the security thing, and other
> stuff was moved to the next release after.
> 
> Best regards, Wouter

Would it be possible to make available a beta or current build version 1.6.4 containing this fix?
Comment 6 Wouter Wijngaards 2017-06-20 11:01:36 CEST
Hi Jurek,

The 1.6.4rc1 is available in https://unbound.net/downloads
https://unbound.net/downloads/unbound-1.6.4rc1.zip
and unbound_setup_1.6.4rc1.exe
Comment 7 jurek0001 2017-06-20 22:08:21 CEST
Hello,
Repeating the message published in bug #1258 report: 
It appears this bug and bug #1258 have been mitigated and resolved in unbound v1.6.4rc1.
Namely, root.key is not missing anymore, and it installed during installation process. And x64 version installs in proper C:\Program Files\Unbound\ directory
Thank you.
Should I close these tickets, or will you do it?
Sincerely,
Jerzy
Comment 8 Wouter Wijngaards 2017-06-21 08:45:03 CEST
Hi Jurek,

Closing this one too.

Best regards, Wouter